Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 139251 - Package selection is lost during interactive kickstart installation
Summary: Package selection is lost during interactive kickstart installation
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard: FC4
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2004-11-14 13:56 UTC by Johannes Schmid
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-02 20:03:57 UTC


Attachments (Terms of Use)

Description Johannes Schmid 2004-11-14 13:56:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-AT; rv:1.7.3)
Gecko/20040910

Description of problem:
When installing FC3 from CD-ROM using a kickstart file from floppy,
the detailed package selection from the kickstart file is lost when
"interactive" mode is enabled in the kickstart file.

I.e. if I have a ks.cfg file like the following:
-----------------------------------
install
cdrom
interactive
[...]

%packages
@ editors
@ system-tools
@ german-support
@ text-internet
@ gnome-desktop
@ dialup
@ ftp-server
@ smb-server
@ base-x
@ web-server
@ mail-server
@ server-cfg
@ sql-server
@ admin-tools
@ development-tools
@ graphical-internet
-tux
-webalizer
-squid
e2fsprogs
grub
kernel-smp
postgresql
postgresql-jdbc
postgresql-server
php-pgsql

%post
-----------------------------------

postgresql, postgresql-jdbc, postgresql-server (and so on) is not
selected when I click on "Details" next to "SQL Server" during the
interactive installation.

However, if I remove the "interactive" statement from the ks.cfg,
these packages will get installed.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create ks.cfg file with modified packages, then add "interactive"
2. install FC3 using this ks.cfg file
3. check package selection in "Details" during interactive install
    

Actual Results:  Wrong packages (i.e. default packages) are selected

Expected Results:  Specified packages should be selected

Comment 2 Paul Nasrat 2006-02-02 20:03:57 UTC
Next anaconda build supports this properly with new ui.


Note You need to log in before you can comment on or make changes to this bug.